Subject: Re: Problem with SETFACL and shortcuts?
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Charles Wilson <[email-masked]>
Date: Fri, 26 Sep 2003 16:30:14 +0200

On Fri, Sep 26, 2003 at 04:06:32PM +0200, Harre Mark VIE wrote:
> Hi,
> 
> I was just working on a script to set dafault permissions and noticed
> something interesting.  I use the find command to get the file name of
> all files/directories and then reset the permissions usiong setfacl.
> This works fine except on a couple of files. I get the same error from a
> bash shell using getfacl.  For example I can use ls to list the file but
> get an error using getfacl
> 
> $ ls /lib/terminfo
> /lib/terminfo
> 
> $ getfacl /lib/terminfo
> getfacl: No such file or directory
> 
> Couldn't find any info in the faq or google.  Anyone else seen this
> behaviour and know a fix?

This is a problem of the terminfo link itself.  It's defined like this:

$ ls -l /lib/terminfo
lrwxrwxrwx 1 user grp 125 Sep 7 21:26 /lib/terminfo -> ../share/terminfo

The problem is that the terminfo directory is actually /usr/share/terminfo,
not /share/terminfo.  So the relative symlink only works correct when
resolved from /usr/lib/terminfo, not from /lib/terminfo:

$ getfacl /usr/lib/terminfo
# file: /usr/lib/terminfo
# owner: user
# group: grp
user::rwx
group::rwx
group:SYSTEM:rwx
mask:rwx
other:---
default:user::---
default:group:SYSTEM:rwx
default:group:grp:rwx
default:mask:rwx

Chuck, would it make sense to change the symlink to an absolute one?

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/